apiPendingBatches
استعلاميتطلب مفتاحًاShop API: bulk writes a circuit breaker held, newest first (pending, confirmed and discarded of the last batches).
الوسائط
لا شيء
يُرجع
مثال
query ApiPendingBatches {
apiPendingBatches {
connectionId
createdAt
decidedAt
id
idempotencyKey
itemCount
items {
compareAtMillimes
offerId
onHandQty
paused
priceMillimes
sku
}
kind
reason
status
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"query ApiPendingBatches { apiPendingBatches { connectionId createdAt decidedAt id idempotencyKey itemCount items { compareAtMillimes offerId onHandQty paused priceMillimes sku } kind reason status } }"}'